{% extends 'base.html' %}
{% load student_tags %}
{% load util_tags %}
{% load static %}

{% block content %}
<h1 class="heading-1 marg">Lekcje z kursu {{course.subject.name}}</h1>
<div class="container p-3 bg-grey bor-rad marg">
{% if lesson_list %}
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Temat</th>
                <th scope="col">Data</th>
                <th scope="col">Obecność</th>
            </tr>
        </thead>
        <tbody>
            {% for lesson in lesson_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{lesson.topic}}</td>
                <td>{{lesson.date}}</td>
                <td>
                {% if request.user|was_present:lesson %}
                    <img src="{% static 'positive.png' %}">
                {% else %}
                    <img src="{% static 'negative.png' %}">
                {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="edu-tooltip">
        <a href="#" class="btn btn-secondary">Pokaż statystyki dla kursu {{course.subject.name}}</a>
        <span class="edu-tooltiptext" top="far">
            <span style="font-weight:bold">Obecność:</span> {{statistics|get_value:'presence'}}%</br>
            <span style="font-weight:bold">Średnia:</span> {{statistics|get_value:'average'}}</br>
            <span style="font-weight:bold">Ocena oczekiwana:</span> {{statistics|get_value:'expected_grade'}}</br>
            <span style="font-weight:bold">Średnia klasy:</span> {{statistics|get_value:'class_average'}}</br>
        </span>
    </div>
{% else %}
    <p>Nie masz żadnych lekcji.</p>
{% endif %}
</div>
{% endblock content %}